Subject: bug#34215: 27.0.50; Provide elisp access to Chinese pinyin-to-character mapping

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Jan 2019 17:41:50 +0200

> From: Eric Abrahamsen <[email-masked]>
> Date: Sat, 26 Jan 2019 21:34:39 -0800
> 
> So this proposed patch simply parses the same file in the same way, but
> in a different location. I've put it in china-util.el, but chinese.el
> would also be a reasonable spot. Both those files are concerned with
> encoding, but at least "china-util" gives the impression that it could
> be a grab-bag.

How much does this add to Emacs memory footprint when loaded?  Since
this will be required only rarely, I doubt that it would be a good
idea to force every user of Chinese language to pay the price, if it
is significant.  It would be better to have this as a separate file
with autoloaded variable or function, IMO.

> I'm not sure this use of `source-directory' is particularly robust, but
> I don't know how else to handle it.

source-directory might not exist in a given installation.

Maybe we should have the data copied into that separate file I
mentioned above.

Thanks.